<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('persons', function (Blueprint $table) {
            $table->float('last_weight_kg', 5, 2, true)->nullable()->after('blood_type');
            $table->float('last_height_cm', 5, 2, true)->nullable()->after('blood_type');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('persons', function (Blueprint $table) {
            $table->dropColumn('last_weight_kg');
            $table->dropColumn('last_height_cm');
        });
    }
};
